Loading...
Searching...
No Matches
Iperf server
Applications

## Functions

void * | lwiperf_start_tcp_server_default (lwiperf_report_fn report_fn, void *report_arg)
void * | lwiperf_start_tcp_server (const ip_addr_t *local_addr, u16_t local_port, lwiperf_report_fn report_fn, void *report_arg)
void * | lwiperf_start_tcp_client_default (const ip_addr_t *remote_addr, lwiperf_report_fn report_fn, void *report_arg)
void * | lwiperf_start_tcp_client (const ip_addr_t *remote_addr, u16_t remote_port, enum lwiperf_client_type type, lwiperf_report_fn report_fn, void *report_arg)
void | lwiperf_abort (void *lwiperf_session)

## Detailed Description

This is a simple performance measuring client/server to check your bandwidth using iPerf2 on a PC as server/client. It is currently a minimal implementation providing a TCP client/server only.

## Function Documentation

## lwiperf_abort()

void lwiperf_abort | ( | void * | lwiperf_session | ) |

Abort an iperf session (handle returned by lwiperf_start_tcp_server*())

## lwiperf_start_tcp_client()

void * lwiperf_start_tcp_client | ( | const ip_addr_t * | remote_addr,
|  | u16_t | remote_port,
|  | enum lwiperf_client_type | type,
|  | lwiperf_report_fn | report_fn,
|  | void * | report_arg )

Start a TCP iperf client to a specific IP address and port.

Returns
  a connection handle that can be used to abort the client by calling lwiperf_abort()

## lwiperf_start_tcp_client_default()

void * lwiperf_start_tcp_client_default | ( | const ip_addr_t * | remote_addr,
|  | lwiperf_report_fn | report_fn,
|  | void * | report_arg )

Start a TCP iperf client to the default TCP port (5001).

Returns
  a connection handle that can be used to abort the client by calling lwiperf_abort()

## lwiperf_start_tcp_server()

void * lwiperf_start_tcp_server | ( | const ip_addr_t * | local_addr,
|  | u16_t | local_port,
|  | lwiperf_report_fn | report_fn,
|  | void * | report_arg )

Start a TCP iperf server on a specific IP address and port and listen for incoming connections from iperf clients.

Returns
  a connection handle that can be used to abort the server by calling lwiperf_abort()

## lwiperf_start_tcp_server_default()

void * lwiperf_start_tcp_server_default | ( | lwiperf_report_fn | report_fn,
|  | void * | report_arg )

Start a TCP iperf server on the default TCP port (5001) and listen for incoming connections from iperf clients.

Returns
  a connection handle that can be used to abort the server by calling lwiperf_abort()